diff -u dx-4.4.4/debian/libdx4-dev.install dx-4.4.4/debian/libdx4-dev.install
--- dx-4.4.4/debian/libdx4-dev.install
+++ dx-4.4.4/debian/libdx4-dev.install
@@ -2,3 +2,2 @@
 usr/lib/dx/lib_linux/*.a	usr/lib/
-usr/lib/dx/lib_linux/*.la	usr/lib/
 usr/lib/dx/include/dx*		usr/include/
diff -u dx-4.4.4/debian/changelog dx-4.4.4/debian/changelog
--- dx-4.4.4/debian/changelog
+++ dx-4.4.4/debian/changelog
@@ -1,3 +1,10 @@
+dx (1:4.4.4-3.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Don't ship .la files (Closes: #621204).
+
+ -- Luk Claes <luk@debian.org>  Tue, 28 Jun 2011 19:10:50 +0200
+
 dx (1:4.4.4-3.1) unstable; urgency=high
 
   * Non-maintainer upload.
diff -u dx-4.4.4/debian/rules dx-4.4.4/debian/rules
--- dx-4.4.4/debian/rules
+++ dx-4.4.4/debian/rules
@@ -139,19 +139,6 @@
 		dh_link -plibdx4-dev "usr/lib/$$i" "usr/lib/dx/lib_linux/$$i"; \
 	done
 
-	# Need to reflect relocation of libs in the libtool helper file.
-ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
-	# ... there are OS detection troubles with GNU/kFreeBSD
-	for i in "$(CURDIR)"/debian/libdx4-dev/usr/lib/*.la; do \
-		printf '/^libdir=/s,/dx/lib_unknown,,g\nw\nq\n' | ed "$$i"; \
-	done
-else
-	# ... we assume that by default, we're on Linux
-	for i in $(CURDIR)/debian/libdx4-dev/usr/lib/*.la; do \
-		printf '/^libdir=/s,/dx/lib_linux,,g\nw\nq\n' | ed "$$i"; \
-	done
-endif
-
 	# No clue where this symlink is coming from.
 	rm -f $(CURDIR)/debian/libdx4-dev/usr/include/include
 
only in patch2:
unchanged:
--- dx-4.4.4.orig/include/dxconfig.h.in
+++ dx-4.4.4/include/dxconfig.h.in
@@ -1,5 +1,8 @@
 /* include/dxconfig.h.in.  Generated from configure.ac by autoheader.  */
 
+/* Define if building universal (internal helper macro) */
+#undef AC_APPLE_UNIVERSAL_BUILD
+
 /* Define to 1 to use alternate signal argument list in C++ */
 #undef ALTERNATE_CXX_SIGNAL
 
@@ -629,6 +632,10 @@
 /* Define to 1 if you have the `_unlink' function. */
 #undef HAVE__UNLINK
 
+/* Define to the sub-directory in which libtool stores uninstalled libraries.
+   */
+#undef LT_OBJDIR
+
 /* Define to 1 if Using old version of lesstif */
 #undef OLD_LESSTIF
 
@@ -650,12 +657,12 @@
 /* Define to the one symbol short name of this package. */
 #undef PACKAGE_TARNAME
 
+/* Define to the home page for this package. */
+#undef PACKAGE_URL
+
 /* Define to the version of this package. */
 #undef PACKAGE_VERSION
 
-/* Define to 1 if the C compiler supports function prototypes. */
-#undef PROTOTYPES
-
 /* Define to 1 if bzero needs declared */
 #undef REQUIRES_BZERO_DECLARATION
 
@@ -671,11 +678,6 @@
 /* Arguments for select */
 #undef SELECT_ARG_TYPE
 
-/* Define to 1 if the `setvbuf' function takes the buffering type as its
-   second argument and the buffer pointer as the third, as on System V before
-   release 3. */
-#undef SETVBUF_REVERSED
-
 /* SGI specific ABI */
 #undef SGI_ABI
 
@@ -706,9 +708,17 @@
 /* Version number of package */
 #undef VERSION
 
-/* Define to 1 if your processor stores words with the most significant byte
-   first (like Motorola and SPARC, unlike Intel and VAX). */
-#undef WORDS_BIGENDIAN
+/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
+   significant byte first (like Motorola and SPARC, unlike Intel). */
+#if defined AC_APPLE_UNIVERSAL_BUILD
+# if defined __BIG_ENDIAN__
+#  define WORDS_BIGENDIAN 1
+# endif
+#else
+# ifndef WORDS_BIGENDIAN
+#  undef WORDS_BIGENDIAN
+# endif
+#endif
 
 /* set to 1 if lexer adds yylineno */
 #undef YYLINENO_DEFINED
@@ -717,9 +727,6 @@
    `char[]'. */
 #undef YYTEXT_POINTER
 
-/* Define like PROTOTYPES; this can be used by system headers. */
-#undef __PROTOTYPES
-
 /* Do not define __int64 if already have type __int64 */
 #undef __int64
 
@@ -753,7 +760,7 @@
 /* Do not define short if already have type short */
 #undef short
 
-/* Define to `unsigned' if <sys/types.h> does not define. */
+/* Define to `unsigned int' if <sys/types.h> does not define. */
 #undef size_t
 
 /* Do not define ubyte if already have type ubyte */
only in patch2:
unchanged:
